import javax.swing.*;
import java.awt.*;
import com.jinsight.jetchart.*;

public class Example16 extends JFrame {
    
    public Example16() { 
	
	Graph graph=new Graph(new String[]{"l1","l2","l3","l4","l5","l6","l7","l8","l9"});
	
	graph.setTitle(new String[]{"The JetChart Library","Configuring scales"});
	
	double[] values={20007,20005,20006,20004,20003,20005,20007,20009,20006};
	
	AreaSerie as=new AreaSerie(values,"Area series");
	as.setColor(new Color(00,99,00));
	GraphSet graphSet=graph.getGraphSet(0);
	Scale scale=graphSet.getScale();
	
	// The maximum, minimum and increment values only can be configured if the 
	// automatic scale is disabled.
	scale.setAutoScaleEnabled(false);
	
	scale.setMaxValue(20010);
	scale.setMinValue(20000);
	scale.setIncrement(2);
	
	scale.setValueFormat("##,###");
	
	graphSet.getGrid().setEnabled(true);
	graphSet.getGrid().setColor(Color.gray);
	graphSet.getGrid().setStyle(Grid.DASHED);
	
	graph.addSerie(as);
	
	Container ct=getContentPane();
	
	ct.add(graph);
	
	setSize(450,350);
	
	setVisible(true);
	
    }
    
    public static void main(String[] args) {
        new Example16();
    }
    
}


